'use strict';

angular.module('makanSiangApp')
  .controller('MainCtrl', function ($scope, geolocation, foursquare) {

    $scope.venue = false;
    $scope.i = 0;
    $scope.position = false;

    $scope.suggestAnother = function() {
      $scope.i++;
      if ($scope.i >= 10) {
        $scope.i = 0;
      }
      $scope.locate();
    }

    $scope.locate = function() {

      geolocation.getCurrentPosition(function (position) {
        $scope.position = position;
      });

      // @debug coords (for regular browsers)
      if (!$scope.position) {
        $scope.position = {
          coords: {
            // latitude: 33.83168111709241,
            // longitude: -113.0834844072147
            latitude: 43.165556,
            longitude: -77.611389
          }
        }
      }
      // end @debug

      foursquare.search(
        $scope.position.coords.latitude,
        $scope.position.coords.longitude
      ).success(function(data, status, headers, config) {
        $scope.venue = data.response.venues[$scope.i];
      });
    };

  });
